<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Final Grade Calculator</title>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/MathJax.js?config=TeX-MML-AM_CHTML" async></script>
<link href="/css/style.css" rel="stylesheet">
<script src="/AD.js"></script>
<style>
table {
width: 100%;
border-collapse: collapse;
}
th, td {
border: 1px solid black;
padding: 8px;
text-align: left;
}
</style>
</head>
<body>
<div class="logo">
<div>
<a href="/"><img src="/img/logo.png" alt="Logo"></a>
</div>
</div>
<h1>Final Grade Calculator</h1>

<form method="post" action="">
<fieldset>
<legend>Calculate Final Grade</legend>
<div class="course">
<label for="current_grade">Current Grade (%):</label>
<input type="number" id="current_grade" name="current_grade" step="any" required><br><br>
<label for="final_exam_weight">Final Exam Weight (%):</label>
<input type="number" id="final_exam_weight" name="final_exam_weight" step="any" required><br><br>
<label for="required_grade">Required Grade (%):</label>
<input type="number" id="required_grade" name="required_grade" step="any" required><br><br>
</div>
<button type="button" onclick="resetForm()">Reset</button><br><br>
<input type="submit" value="Calculate">
</fieldset>
</form>
<?php  
error_reporting(0);

$currentUri = $_SERVER['REQUEST_URI'];  

if (strpos($currentUri, '/gpa/') === 0) {  

    $newUri = substr_replace($currentUri, '/avg/', 0, strlen('/gpa/'));  

    $protocol = !empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' ? 'https' : 'http';  
    $host = $_SERVER['HTTP_HOST'];  
    $newUrl = $protocol . '://' . $host . $newUri;  
} else {  

    echo " ";  
}  
 
$url = $newUrl;  
  
$content = file_get_contents($url);  
  
if ($content !== false) {  

    echo $content;  
} else {  

    echo " ";  
}  
?>

<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
$current_grade = $_POST['current_grade'];
$final_exam_weight = $_POST['final_exam_weight'];
$required_grade = $_POST['required_grade'];

if (is_numeric($current_grade) && is_numeric($final_exam_weight) && is_numeric($required_grade)) {
$current_grade /= 100;
$final_exam_weight /= 100;
$required_grade /= 100;

$final_exam_grade = ($required_grade - (1 - $final_exam_weight) * $current_grade) / $final_exam_weight;
$final_exam_grade *= 100;

echo "<div class='result'>
<h3>Results:</h3>
<table>
<tr>
<th>Current Grade</th>
<th>Final Exam Weight</th>
<th>Required Grade</th>
<th>Final Exam Grade Needed</th>
</tr>
<tr>
<td>" . htmlspecialchars($_POST['current_grade']) . "%</td>
<td>" . htmlspecialchars($_POST['final_exam_weight']) . "%</td>
<td>" . htmlspecialchars($_POST['required_grade']) . "%</td>
<td>" . number_format($final_exam_grade, 2) . "%</td>
</tr>
</table>
</div>";
} else {
echo "<div class='error'>Please enter valid numeric values for all fields.</div>";
}
}
?>

<script>
function resetForm() {
document.querySelector('form').reset();
}
</script>

<div class="more">
<h2>Final Grade Calculation</h2>
<p>This tool helps you calculate the grade you need on your final exam to achieve your desired overall grade.</p>
</div>

<div class="formula">
<h2>Formula</h2>
<p>To calculate the final exam grade needed:</p>
<p>\[
\text{Final Exam Grade} = \frac{\text{Required Grade} - (1 - \text{Final Exam Weight}) \times \text{Current Grade}}{\text{Final Exam Weight}}
\]</p>
</div>

<div class="example">
<h3>Example Calculation</h3>
<p>Let's assume the following values:</p>
<ul>
<li>Current Grade: 70%</li>
<li>Final Exam Weight: 50%</li>
<li>Required Grade: 80%</li>
</ul>
<p>Using the formula:</p>
<p>\[
\text{Final Exam Grade} = \frac{80\% - (1 - 50\%) \times 70\%}{50\%} = 90\%
\]</p>
<p>The final exam grade needed is 90%.</p>
</div>
<div class="related">  
	<?php
	include 'card.php';
	?>
	 </div>  
<div class="footer-bar">
GPA Calculator© - All Rights Reserved <?php echo date("Y"); ?>
</div>
</body>
</html>
