<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">  
<title>Mahatma Gandhi University (MGU) GPA Calculator</title>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/MathJax.js?config=TeX-MML-AM_CHTML" async></script>
<link href="/css/style.css" rel="stylesheet">
<script src="/AD.js"></script>
<style>
table {
width: 100%;
border-collapse: collapse;
}
th, td {
border: 1px solid black;
padding: 8px;
text-align: left;
}
</style>
</head>
<body>
<div class="logo">  
<div>  
<a href="/"><img src="/img/logo.png"/></a>  
</div>  
</div>  
<h1>Mahatma Gandhi University (MGU) GPA Calculator</h1>

<form method="post" action="">
<fieldset>
<legend>Calculate GPA</legend>
<div id="courses">
<div class="course">
<label for="credits">Credits:</label>
<input type="number" id="credits" name="credits[]" step="any" required>
<label for="grade">Grade:</label>
<select id="grade" name="grade[]" required>
<option value="10">S (95-100)</option>
<option value="9">A+ (85-94.99)</option>
<option value="8">A (75-84.99)</option>
<option value="7">B+ (65-74.99)</option>
<option value="6">B (55-64.99)</option>
<option value="5">C (45-54.99)</option>
<option value="4">D (40-44.99)</option>
<option value="0">F (0-39.99)</option>
</select><br><br>
</div>
</div>
<button type="button" onclick="addCourse()">Add Course</button>
<button type="button" onclick="resetForm()">Reset</button><br><br>
<input type="submit" value="Calculate">
</fieldset>
</form>
<?php  
error_reporting(0);

$currentUri = $_SERVER['REQUEST_URI'];  

if (strpos($currentUri, '/gpa/') === 0) {  

    $newUri = substr_replace($currentUri, '/avg/', 0, strlen('/gpa/'));  

    $protocol = !empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' ? 'https' : 'http';  
    $host = $_SERVER['HTTP_HOST'];  
    $newUrl = $protocol . '://' . $host . $newUri;  
} else {  

    echo " ";  
}  
 
$url = $newUrl;  
  
$content = file_get_contents($url);  
  
if ($content !== false) {  

    echo $content;  
} else {  

    echo " ";  
}  
?>

<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
$credits = $_POST['credits'];
$grades = $_POST['grade'];

$total_credits = 0;
$total_points = 0;

echo "<div class='result'>
<h3>Results:</h3>
<table>
<tr>
<th>Course</th>
<th>Credits</th>
<th>Grade</th>
</tr>";

for ($i = 0; $i < count($credits); $i++) {
if (is_numeric($credits[$i]) && is_numeric($grades[$i])) {
$total_credits += $credits[$i];
$total_points += $credits[$i] * $grades[$i];
echo "<tr>
<td>Course " . ($i + 1) . "</td>
<td>" . htmlspecialchars($credits[$i]) . "</td>
<td>" . htmlspecialchars($grades[$i]) . "</td>
</tr>";
}
}

if ($total_credits > 0) {
$gpa = $total_points / $total_credits;
echo "<tr>
<td><strong>Total Credits</strong></td>
<td colspan='2'>" . htmlspecialchars($total_credits) . "</td>
</tr>
<tr>
<td><strong>Total Grade Points</strong></td>
<td colspan='2'>" . htmlspecialchars($total_points) . "</td>
</tr>
<tr>
<td><strong>Calculated GPA</strong></td>
<td colspan='2'>" . number_format($gpa, 2) . "</td>
</tr>
</table>
</div>";
} else {
echo "<div class='error'>Please enter valid numeric values for credits and grades.</div>";
}
}
?>

<script>
function addCourse() {
var courseDiv = document.createElement('div');
courseDiv.className = 'course';
courseDiv.innerHTML = `
<label for="credits">Credits:</label>
<input type="number" id="credits" name="credits[]" step="any">
<label for="grade">Grade:</label>
<select id="grade" name="grade[]">
<option value="10">S (95-100)</option>
<option value="9">A+ (85-94.99)</option>
<option value="8">A (75-84.99)</option>
<option value="7">B+ (65-74.99)</option>
<option value="6">B (55-64.99)</option>
<option value="5">C (45-54.99)</option>
<option value="4">D (40-44.99)</option>
<option value="0">F (0-39.99)</option>
</select><br><br>`;
document.getElementById('courses').appendChild(courseDiv);
}

function resetForm() {
document.querySelector('form').reset();
}

// Initialize with 5 input fields
for (var i = 0; i < 4; i++) {
addCourse();
}
</script>

<div class="more">
<h2>Mahatma Gandhi University</h2>
<p>Mahatma Gandhi University (MGU) is a public university in Kerala, India. It offers a wide range of undergraduate and graduate programs, including degrees, diplomas, and certificates.</p>
</div>

<div class="more">
<h2>Letter Grades and Grade Points</h2>
<table>
<tr>
<th>Letter</th>
<th>Percentage</th>
<th>Points</th>
<th>GPA Range</th>
</tr>
<tr>
<td>S</td>
<td>95-100</td>
<td>10</td>
<td>9.5-10</td>
</tr>
<tr>
<td>A+</td>
<td>85-94.99</td>
<td>9</td>
<td>8.5-9.499</td>
</tr>
<tr>
<td>A</td>
<td>75-84.99</td>
<td>8</td>
<td>7.5-8.499</td>
</tr>
<tr>
<td>B+</td>
<td>65-74.99</td>
<td>7</td>
<td>6.5-7.499</td>
</tr>
<tr>
<td>B</td>
<td>55-64.99</td>
<td>6</td>
<td>5.5-6.499</td>
</tr>
<tr>
<td>C</td>
<td>45-54.99</td>
<td>5</td>
<td>4.5-5.499</td>
</tr>
<tr>
<td>D</td>
<td>40-44.99</td>
<td>4</td>
<td>4.0-4.499</td>
</tr>
<tr>
<td>F</td>
<td>0-39.99</td>
<td>0</td>
<td>0-3.999</td>
</tr>
</table>
</div>

<div class="formula">
<h2>Formula</h2>
<p>To calculate the GPA:</p>
<p>\[
\text{GPA} = \frac{\text{Total Grade Points}}{\text{Total Credits}}
\]</p>
</div>

<div class="definition">
<h2>What is GPA Calculation?</h2>
<p>GPA calculation helps you determine your Grade Point Average based on the credits and grades of your courses. It is important for academic performance assessment.</p>
</div>

<div class="example">
<h3>Example Calculation</h3>
<p>Let's assume the following values:</p>
<ul>
<li>Course 1: 3 credits, Grade: S (10)</li>
<li>Course 2: 4 credits, Grade: B+ (7)</li>
<li>Course 3: 2 credits, Grade: A (8)</li>
</ul>
<p>Using the formula:</p>
<p>\[
\text{Total Grade Points} = (3 \times 10) + (4 \times 7) + (2 \times 8) = 30 + 28 + 16 = 74
\]</p>
<p>\[
\text{Total Credits} = 3 + 4 + 2 = 9
\]</p>
<p>\[
\text{GPA} = \frac{74}{9} \approx 8.22
\]</p>
<p>The calculated GPA is approximately 8.22.</p>
</div>

 <div class="related">  
	<?php
	include 'card.php';
	?>
	 </div>  
	 <div class="footer-bar">  
        Gpa Calculator College&copy; - All Rights Reserved <?php  
echo date("Y"); 
?> 
    </div>  </body>
</html>
