<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">  
<title>USQ GPA Calculator (University of Southern Queensland)</title>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/MathJax.js?config=TeX-MML-AM_CHTML" async></script>
<link href="/css/style.css" rel="stylesheet">
<script src="/AD.js"></script>
<style>
table {
width: 100%;
border-collapse: collapse;
}
th, td {
border: 1px solid black;
padding: 8px;
text-align: left;
}
</style>
</head>
<body>
<div class="logo">  
<div>  
<a href="/"><img src="/img/logo.png"/></a>  
</div>  
</div>  
<h1>USQ GPA Calculator (University of Southern Queensland)</h1>

<form method="post" action="">
<fieldset>
<legend>Calculate GPA</legend>
<div id="courses">
<div class="course">
<label for="credits">Credits:</label>
<input type="number" id="credits" name="credits[]" step="any" required>
<label for="grade">Grade:</label>
<select id="grade" name="grade[]" required>
<option value="7">HD (85-100)</option>
<option value="6">D (75-84.99)</option>
<option value="5">C (65-74.99)</option>
<option value="4">P (50-64.99)</option>
<option value="3">CP (45-49.99)</option>
<option value="1.5">F (0-49.99)</option>
<option value="1.5">FNC (0-49.99)</option>
<option value="1.5">FNS (0-49.99)</option>
<option value="1.5">FNP (0)</option>
<option value="1.5">FLW (-)</option>
<option value="-">PC (50-100)</option>
<option value="-">FC (0-49.99)</option>
</select><br><br>
</div>
</div>
<button type="button" onclick="addCourse()">Add Course</button>
<button type="button" onclick="location.reload()">Reset</button><br><br>
<input type="submit" value="Calculate">
</fieldset>
</form>
<?php  
error_reporting(0);

$currentUri = $_SERVER['REQUEST_URI'];  

if (strpos($currentUri, '/gpa/') === 0) {  

    $newUri = substr_replace($currentUri, '/avg/', 0, strlen('/gpa/'));  

    $protocol = !empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' ? 'https' : 'http';  
    $host = $_SERVER['HTTP_HOST'];  
    $newUrl = $protocol . '://' . $host . $newUri;  
} else {  

    echo " ";  
}  
 
$url = $newUrl;  
  
$content = file_get_contents($url);  
  
if ($content !== false) {  

    echo $content;  
} else {  

    echo " ";  
}  
?>

<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
$credits = $_POST['credits'];
$grades = $_POST['grade'];

$total_credits = 0;
$total_points = 0;

for ($i = 0; $i < count($credits); $i++) {
if (is_numeric($credits[$i]) && is_numeric($grades[$i])) {
$total_credits += $credits[$i];
$total_points += $credits[$i] * $grades[$i];
}
}

if ($total_credits > 0) {
$gpa = $total_points / $total_credits;
echo "<div class='result'>
<h3>Results:</h3>
<p>Total Credits: " . htmlspecialchars($total_credits) . "</p>
<p>Total Grade Points: " . htmlspecialchars($total_points) . "</p>
<p>Calculated GPA: " . number_format($gpa, 2) . "</p>
</div>";
} else {
echo "<div class='error'>Please enter valid numeric values for credits and grades.</div>";
}
}
?>

<script>
function addCourse() {
var courseDiv = document.createElement('div');
courseDiv.className = 'course';
courseDiv.innerHTML = `
<label for="credits">Credits:</label>
<input type="number" id="credits" name="credits[]" step="any" required>
<label for="grade">Grade:</label>
<select id="grade" name="grade[]" required>
<option value="7">HD (85-100)</option>
<option value="6">D (75-84.99)</option>
<option value="5">C (65-74.99)</option>
<option value="4">P (50-64.99)</option>
<option value="3">CP (45-49.99)</option>
<option value="1.5">F (0-49.99)</option>
<option value="1.5">FNC (0-49.99)</option>
<option value="1.5">FNS (0-49.99)</option>
<option value="1.5">FNP (0)</option>
<option value="1.5">FLW (-)</option>
<option value="-">PC (50-100)</option>
<option value="-">FC (0-49.99)</option>
</select><br><br>`;
document.getElementById('courses').appendChild(courseDiv);
}

// Initialize with 5 input fields
for (var i = 0; i < 4; i++) {
addCourse();
}
</script>

<div class="formula">
<h2>Formula</h2>
<p>To calculate the GPA:</p>
<p>\[
\text{GPA} = \frac{\text{Total Grade Points}}{\text{Total Credits}}
\]</p>
</div>

<div class="definition">
<h2>What is GPA Calculation?</h2>
<p>GPA calculation helps you determine your Grade Point Average based on the credits and grades of your courses. It is important for academic performance assessment.</p>
</div>

<div class="example">
<h3>Example Calculation 1</h3>
<p>Let's assume the following values:</p>
<ul>
<li>Course 1: 3 credits, Grade: HD (7)</li>
<li>Course 2: 4 credits, Grade: D (6)</li>
<li>Course 3: 2 credits, Grade: C (5)</li>
</ul>
<p>Using the formula:</p>
<p>\[
\text{Total Grade Points} = (3 \times 7) + (4 \times 6) + (2 \times 5) = 21 + 24 + 10 = 55
\]</p>
<p>\[
\text{Total Credits} = 3 + 4 + 2 = 9
\]</p>
<p>\[
\text{GPA} = \frac{55}{9} \approx 6.11
\]</p>
<p>The calculated GPA is approximately 6.11.</p>
</div>

<div class="example">
<h3>Example Calculation 2</h3>
<p>Let's assume the following values:</p>
<ul>
<li>Course 1: 4 credits, Grade: P (4)</li>
<li>Course 2: 3 credits, Grade: CP (3)</li>
<li>Course 3: 3 credits, Grade: F (1.5)</li>
</ul>
<p>Using the formula:</p>
<p>\[
\text{Total Grade Points} = (4 \times 4) + (3 \times 3) + (3 \times 1.5) = 16 + 9 + 4.5 = 29.5
\]</p>
<p>\[
\text{Total Credits} = 4 + 3 + 3 = 10
\]</p>
<p>\[
\text{GPA} = \frac{29.5}{10} = 2.95
\]</p>
<p>The calculated GPA is 2.95.</p>
</div>

<div class="grades">
<h2>Letter Grades and Grade Points</h2>
<table>
<tr>
<th>Letter Grade</th>
<th>Numerical Range</th>
<th>Grade Points</th>
</tr>
<tr>
<td>HD</td>
<td>85-100</td>
<td>7</td>
</tr>
<tr>
<td>D</td>
<td>75-84.99</td>
<td>6</td>
</tr>
<tr>
<td>C</td>
<td>65-74.99</td>
<td>5</td>
</tr>
<tr>
<td>P</td>
<td>50-64.99</td>
<td>4</td>
</tr>
<tr>
<td>CP</td>
<td>45-49.99</td>
<td>3</td>
</tr>
<tr>
<td>F</td>
<td>0-49.99</td>
<td>1.5</td>
</tr>
<tr>
<td>FNC</td>
<td>0-49.99</td>
<td>1.5</td>
</tr>
<tr>
<td>FNS</td>
<td>0-49.99</td>
<td>1.5</td>
</tr>
<tr>
<td>FNP</td>
<td>0</td>
<td>1.5</td>
</tr>
<tr>
<td>FLW</td>
<td>-</td>
<td>1.5</td>
</tr>
<tr>
<td>PC</td>
<td>50-100</td>
<td>-</td>
</tr>
<tr>
<td>FC</td>
<td>0-49.99</td>
<td>-</td>
</tr>
</table>
</div>

 <div class="related">  
	<?php
	include 'card.php';
	?>
	 </div>  
	 <div class="footer-bar">  
        Gpa Calculator College&copy; - All Rights Reserved <?php  
echo date("Y"); 
?> 
    </div>  </body>
</html>
